summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--TODO6
-rwxr-xr-xbin/reproducible_build.sh9
-rwxr-xr-xbin/reproducible_setup.sh4
-rw-r--r--job-cfg/reproducible.yaml4
4 files changed, 13 insertions, 10 deletions
diff --git a/TODO b/TODO
index 3a5ab4ba..477c8998 100644
--- a/TODO
+++ b/TODO
@@ -101,9 +101,11 @@ general
* pbuilder results cleanup
* pbuilder cleanup cache
-* time based triggers reproducible build jobs
+* time+job based triggers reproducible build jobs:
+** setup: time based
+** example_good: triggered by setup
+** core and all other: triggered by exampled_good
* use git repo in job config?
-* implement logic / counter for getting results from testing 100 packages in one job
* job to build minimal debootstrap packages
* job to build all build-essential packages
diff --git a/bin/reproducible_build.sh b/bin/reproducible_build.sh
index 23038937..bde4d563 100755
--- a/bin/reproducible_build.sh
+++ b/bin/reproducible_build.sh
@@ -28,10 +28,11 @@ for PACKAGE in "$@" ; do
sudo pbuilder --build --basetgz /var/cache/pbuilder/base-reproducible.tgz ${PACKAGE}_*.dsc
dcmd cp /var/cache/pbuilder/result/${PACKAGE}_*.changes b2
sudo dcmd rm /var/cache/pbuilder/result/${PACKAGE}_*.changes
+ cat b1/${PACKAGE}_*.changes
TMPFILE=$(mktemp)
- ./misc.git/diffp b1/*.changes b2/*.changes | tee $TMPFILE
- if grep -qv '^\*\*\*\*\*' $TMPFILE ; then
+ ./misc.git/diffp b1/*.changes b2/*.changes | tee ${TMPFILE}
+ if grep -qv '^\*\*\*\*\*' ${TMPFILE} ; then
figlet ${PACKAGE}
echo
echo "${PACKAGE} build successfull."
@@ -41,12 +42,12 @@ for PACKAGE in "$@" ; do
let "COUNT_BAD=COUNT_BAD+1"
fi
- rm b1 b2 $TMPFILE -rf
+ rm b1 b2 ${TMPFILE} -rf
done
echo
echo "$COUNT_TOTAL packages attempted to build in total."
echo "$COUNT_GOOD packages successfully built reproducible."
-echo "$COUNT_GOOD packages failed to built reproducible."
+echo "$COUNT_BAD packages failed to built reproducible."
echo
echo "The full list of packages: $@"
diff --git a/bin/reproducible_setup.sh b/bin/reproducible_setup.sh
index 3cd89485..ad0e6cd2 100755
--- a/bin/reproducible_setup.sh
+++ b/bin/reproducible_setup.sh
@@ -14,7 +14,7 @@ echo "Warning: Usage of --force-yes to override the apt authentication warning.
apt-get install --force-yes -y dpkg dpkg-dev debhelper dh-python discount
EOF
-sudo rm /var/cache/pbuilder/base-reproducible.tgz
+sudo rm /var/cache/pbuilder/base-reproducible.tgz || true
sudo pbuilder --create --basetgz /var/cache/pbuilder/base-reproducible.tgz --distribution sid
-sudo pbuilder --execute --save-after-exec --basetgz /var/cache/pbuilder/base-reproducible.tgz --
+sudo pbuilder --execute --save-after-exec --basetgz /var/cache/pbuilder/base-reproducible.tgz -- $TMPFILE
rm $TMPFILE
diff --git a/job-cfg/reproducible.yaml b/job-cfg/reproducible.yaml
index 645afbde..d40a23b2 100644
--- a/job-cfg/reproducible.yaml
+++ b/job-cfg/reproducible.yaml
@@ -8,7 +8,7 @@
icon: /userContent/images/debian-swirl-24x24.png
- sidebar:
url: https://jenkins.debian.net/view/reproducible
- text: dvswitch test jobs
+ text: reproducible builds jobs
icon: /userContent/images/debian-jenkins-24x24.png
- sidebar:
url: http://www.profitbricks.com
@@ -59,7 +59,7 @@
my_shell: '/srv/jenkins/bin/reproducible_setup.sh'
- '{name}_build_example_good':
my_description: 'Build one package (one we know will succeed) with pbuilder so far....'
- my_shell: '/srv/jenkins/bin/reproducible_build.sh lsb'
+ my_shell: '/srv/jenkins/bin/reproducible_build.sh patch hostname debianutils'
- '{name}_build_example_fail':
my_description: 'Build one package (one we know will fail) with pbuilder so far....'
my_shell: '/srv/jenkins/bin/reproducible_build.sh lsof'